wpa_supplicant and hostap 0.4.4 on prism 2.5

Jouni Malinen jkmaline at cc.hut.fi
Sat Feb 10 13:12:46 EST 2007


On Sat, Feb 10, 2007 at 06:00:15PM +0100, Gianko wrote:

> I'm trying to use wpa_supplicant with Intel PRO/Wireless (Prism 2.5)
> using hostap driver 0.4.4 built-in source kernel 2.6.18 on debian
> unstable:
> 
> wpa_driver_hostap_set_wpa: enabled=1
> ioctl[PRISM2_IOCTL_PRISM2_PARAM]: Operation not supported
> Driver does not support WPA.

It is likely that the card you have has too old station firmware
(version 1.7.x or newer is needed for WPA). If that is the case (see,
e.g., dmesg output for STA f/w version), you would need to update the
firmware to be able to use WPA.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list